Subject: Re: [iproute2 1/1] man: tc-ife.8: man page for ife action

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 2 May 2016 19:40:58 -0400

On 16-05-02 06:10 PM, Stephen Hemminger wrote:
> On Sat, 30 Apr 2016 06:58:04 -0400
> Jamal Hadi Salim <[email-masked]> wrote:
>
>> From: Lucas Bates <[email-masked]>
>>
>> Signed-off-by: Lucas Bates <[email-masked]>
>> Signed-off-by: Jamal Hadi Salim <[email-masked]>
>
> Still waiting for a you to respond to my earlier suggestions about tc-ife.
>

I did respond.

> Last version I saw was expecting header in include/linux which is not in
> kernel source.
>
> ~/kernel/net-next$ ls include/uapi/linux/tc_ife.h
> ls: cannot access include/uapi/linux/tc_ife.h: No such file or directory
>

What version of net-next are you looking at? This is what i see:

linux-gits/net-next$ ls  include/uapi/linux/tc_act/
Kbuild         tc_csum.h      tc_ife.h       tc_nat.h       tc_vlan.h
tc_bpf.h       tc_defact.h    tc_ipt.h       tc_pedit.h
tc_connmark.h  tc_gact.h      tc_mirred.h    tc_skbedit.h

> You need to get that header in right place, and get it exported correctly.

And I saw you sending a patch which tried to export everything. What
did i miss? ;-> If that didnt make i will send one just for IFE.

cheers,
jamal

PS:- I have other patches which fix a small issue with some actions
(which include ife) - but they are depending on this other one going
in.